Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hssf.record
Class BlankRecord

    java.lang.Object
      org.apache.poi.hssf.record.RecordBase
          org.apache.poi.hssf.record.Record
              org.apache.poi.hssf.record.StandardRecord
                  org.apache.poi.hssf.record.BlankRecord

All Implemented Interfaces:
  CellValueRecordInterface

    public final class BlankRecord

extends StandardRecord
implements CellValueRecordInterface

Title: Blank cell record (0x0201)

Description: Represents a column in a row with no value but with styling.

REFERENCE: PG 287 Microsoft Excel 97 Developer's Kit (ISBN: 1-57231-498-2)

Version:
  2.0-pre
Author:
  Andrew C. Oliver (acoliver at apache dot org), Jason Height (jheight at chariot dot net dot au)

Field Summary
`static short` | `sid`

Constructor Summary
`BlankRecord()` Creates a new instance of BlankRecord
`BlankRecord(RecordInputStream in)`

Method Summary
`java.lang.Object` | `clone()`
`short` | `getColumn()` get the column this cell defines within the row
`protected int` | `getDataSize()`
`int` | `getRow()` get the row this cell occurs on
`short` | `getSid()` return the non static version of the id for this record.
`short` | `getXFIndex()` get the index of the extended format record to style this cell with
`void` | `serialize(LittleEndianOutput out)` Write the data content of this BIFF record.
`void` | `setColumn(short col)` set the column this cell defines within the row
`void` | `setRow(int row)` set the row this cell occurs on
`void` | `setXFIndex(short xf)` set the index of the extended format record to style this cell with
`java.lang.String` | `toString()` get a string representation of the record (for biffview/debugging)

Methods inherited from class org.apache.poi.hssf.record.StandardRecord
`getRecordSize, serialize`

Methods inherited from class org.apache.poi.hssf.record.Record
`cloneViaReserialise, serialize`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### sid

    public static final short sid

See Also:
  Constant Field Values

Constructor Detail

### BlankRecord

    public BlankRecord()

  Creates a new instance of BlankRecord

### BlankRecord

    public BlankRecord(RecordInputStream in)

Method Detail

### setRow

    public void setRow(int row)

  set the row this cell occurs on

  Specified by:
    `setRow` in interface `CellValueRecordInterface`
  Parameters:
    `row` - the row this cell occurs within

### getRow

    public int getRow()

  get the row this cell occurs on

  Specified by:
    `getRow` in interface `CellValueRecordInterface`
  Returns:
    the row

### getColumn

    public short getColumn()

  get the column this cell defines within the row

  Specified by:
    `getColumn` in interface `CellValueRecordInterface`
  Returns:
    the column

### setXFIndex

    public void setXFIndex(short xf)

  set the index of the extended format record to style this cell with

  Specified by:
    `setXFIndex` in interface `CellValueRecordInterface`
  Parameters:
    `xf` - - the 0-based index of the extended format
  See Also:
    `ExtendedFormatRecord`

### getXFIndex

    public short getXFIndex()

  get the index of the extended format record to style this cell with

  Specified by:
    `getXFIndex` in interface `CellValueRecordInterface`
  Returns:
    extended format index

### setColumn

    public void setColumn(short col)

  set the column this cell defines within the row

  Specified by:
    `setColumn` in interface `CellValueRecordInterface`
  Parameters:
    `col` - the column this cell defines

### getSid

    public short getSid()

  return the non static version of the id for this record.

  Specified by:
    `getSid` in class `Record`

### toString

    public java.lang.String toString()

  Description copied from class: `Record`
  get a string representation of the record (for biffview/debugging)

  Overrides:
    `toString` in class `Record`

### serialize

    public void serialize(LittleEndianOutput out)

  Description copied from class: `StandardRecord`
  Write the data content of this BIFF record. The 'ushort sid' and 'ushort size' header fields have already been written by the superclass.
  The subclass must write the exact number of bytes as reported by `RecordBase.getRecordSize()`}

  Specified by:
    `serialize` in class `StandardRecord`

### getDataSize

    protected int getDataSize()

  Specified by:
    `getDataSize` in class `StandardRecord`

### clone

    public java.lang.Object clone()

  Overrides:
    `clone` in class `Record`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2010 The Apache Software Foundation or its licensors, as applicable.